Welcome to desiutil’s documentation!

Introduction

desiutil is a set of low-level utilities used by all DESI packages.

Dependencies

Required Dependencies

These packages must be installed for desiutil to work properly:

Optional Dependencies

If you want to use the plotting utilities in desiutil.plots, you will need:

  • matplotlib
  • healpy
  • basemap
    • Note that basemap’s installation is non-trivial. See the documentation linked to above.
    • Also, basemap is currently deprecated.

Indices and tables